Subject: Re: [sunset4] Closing Sunset4
From: Alexandre Petrescu <[email-masked]>
To: Michael Richardson <[email-masked]>, Terry Manderson <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Mikael Abrahamsson <[email-masked]>
Date: Wed, 16 May 2018 16:08:27 +0200
List-Id: sunset4 working group discussion list <sunset4.ietf.org>

Le 16/05/2018 à 14:31, Michael Richardson a écrit :
[...]
> Terry Manderson <[email-masked]> wrote:
>      > That is a fair request.
> 
>      > I’m not sure the MIF example applies completely as the situations were
>      > different, however I’ll take on board the desire for AD guidance when
>      > it comes to work.
> 
>      > I appreciate the desire to have a ‘home’ for discussions. How about
>      > this. I’ll close the WG, but leave the sunset4 mailing list open at
>      > least until March next year. I’m sure that the volume of discussion up
> 
> I'm okay with this.
> My impression is that sunset4 tried hard, but failed to get consensus.
> That's not a failure to get work done --- not getting consensus usually
> takes longer than a trivial consensus.
> 
> My take is that sunset4 was sligthly premature;

My take is that sunset is a great name.

I would have loved to learn in this group a few things:
- is there a process in place that gives back to IANA the unused IPv4
   space.  How much is this process used?
- why new technologies and sites get invented yet IPv6 is not on them
   (deployed IoT w/ IPv4, self-driving cars w/ IPv4, new big office
   buildings w/ IPv4, and so on).
- in 5G why there is no GTP replacement using QUIC instead of UDP and
   IPv6 instead of IPv4.

And, my last question, my most preferred, which I know is polarizing, 
soo feel free to ignore: why does not IETF put exclusive content on 
IPv6?  Generally speaking I have never heard of some highly interesting 
content that is available on IPv6.  When that happens immediately 
somebody puts in on IPv4 too.

Or maybe it's just a matter of time, and things are moving slower than 
one's expectations.

> operators aren't ready do to
> this.  Yes, there are **now** data centers where IPv4 is going away

Yes I learned that recently and it was news to me.

, but
> those DC also are almost always closed proprietary environments (even if the
> components are open source, I can't buy a cabinet in that space, and they
> don't run off-the-shelf OS builds).

It seems though they can be accessed on the Internet, right?  I mean 
such a data center can be accessed freely on IPv6, and for a fee put 
content there.  That content would not be available on IPv4.

I think the next step would be to have free upload capability (like 
drive.google but w/o IPv4).

> 
> I think that we wanted to be premature, such that we could get OS vendors
> to test having no IPv4 *now*, and not discover things are broken ten years
> later when the equipement can't be replaced.  We actually spured a few OS
> vendors (FreeBSD, Linux, others) to try the test... many discovered
> "127.0.0.1" hard code in many places.
> 
> In the end, the problem is that funded OS vendors at the IETF has been
> "reduced" to Apple and Google, neither of which is in the desktop market
> it seems... While MS is clearly still here, funded Linux OS/networking people
> are not at IETF (Wouters excepted!).
> 
> So sunset4 did as much work as it could without broad OS vendor consensus.
> I believe that the situation will change once more operators begin to
> attempt to really turn off IPv4 in a non-3G space.
> 
> Please keep the list alive.

I agree.

And make new inspiring stickers :-)

Alex

> 
> --
> Michael Richardson <[email-masked]>, Sandelman Software Works
>   -= IPv6 IoT consulting =-
> 
> 
> 
> 
> 
> _______________________________________________
> sunset4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sunset4
>